ProducerSync API

Get license for a specific NPN

Returns all licenses associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.

get
https://api.sandbox.agentsync.io/v2/entities/{npn}/licenses

Query Parameters

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

activeboolean

true or false indicating a search for active licenses (in its absence, both active and inactive licenses will be returned)

loaCodesstring

comma separated list of LOA codes to filter licenses. This will return all licenses that match at least one of the specified LOA codes.

Example:12,3

loaCategoriesarray[string]

comma seperated list of loa categories - this will filter on the loaMapping.categories array (it will return all records containing at least one of the values passed)

Example:casualty, property

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Path Parameters

npnstringrequired

National Producer Number (npn) of the data to return

Example:123456789

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get licenses by ID

Retrieves a single license record using its unique license ID.

get
https://api.sandbox.agentsync.io/v1/licenses/{id}

Path Parameters

idintegerrequired

Unique license ID

Response

application/hal+json

Success

LicensesV1

Base schema containing common license fields.

idinteger(int64)

Unique identifier for the license.

Example:1234567

npnstring

National Producer Number associated with the license.

Example:18551108

transactionIdstring(uuid)

Example:337f638b-b0dd-4d9f-80f5-29a9158d0286

forStatestring

State where the license applies.

>= 2 characters<= 2 characters

Example:AL

branchIdstring

Identifier for a related branch, if applicable.

niprDateUpdatedstring(date)

Last date NIPR reported an update to this license.

Example:2020-12-16

createdAtstring(date)

Date of the creation of this record in AgentSync.

Example:2021-04-04

updatedAtstring(date)

Date of the most recent update to this record in AgentSync.

Example:2024-12-02

licenseNumstring

License number associated with NPN.

Example:897579550

originalIssueDatestring(date)

The date the license was originally issued

Example:2016-04-22

expirationDatestring(date)

The date the license is set to expire.

Example:2022-04-22

licenseClassstring

The classification or type of license issued

Example:Insurance Producer

licenseClassCodestring

The code representing the license class

Example:3

residencyStatusstring

Indicates whether the license holder is a resident (“R”) or non-resident (“NR”)

Example:R

activeboolean

Indicates whether the license is currently active

licenseLoasarray[object]
Show Child Parameters
agentTypesarray[string]

Example:Producer

niprDeletedboolean

Indicates if the license was marked deleted by NIPR.

linksobject
Show Child Parameters
renewalPeriodsobject

Contains calculated renewal windows and classification

Show Child Parameters
 
application/hal+json

Get license line of authority by ID

Retrieves a single line of authority record using its unique loa ID.

get
https://api.sandbox.agentsync.io/v1/licenseLoas/{id}

Path Parameters

idintegerrequired

Unique line of authority ID

Response

application/hal+json

Success

LicenseLoaV1

idinteger

unique identifier for the license line of authority (loa) record

Example:1234567

licenseIdinteger

unique identifier for the associated license

Example:967373

transactionIdstring(uuid)

Example:ae51f10b-8b5e-40ba-98a9-8f860392b344

loastring

The line of authority associated with the license (e.g., Property, Casualty)

Example:Property

loaCodestring

A code representing the line of authority

Example:12

issueDatestring(date)

The date the line of authority was issued

Example:2004-01-21

createdAtstring(date)

Date of the creation of this record in AgentSync

Example:2021-04-04

updatedAtstring(date)

Date of the most recent update to this record in AgentSync

Example:2024-12-02

statusstring

Current status of the line of authority. One of Active, Cancelled, or Inactive

Allowed values:ActiveCancelledInactive

Example:Active

statusReasonDatestring(date)

The date the current status reason became effective

Example:2020-12-26

ceCompliancestring

Continuing education (CE) compliance status. One of EXEMPT, IN COMPLIANCE, N/A, NOT IN COMPLIANCE or NULL

Example:IN COMPLIANCE

ceCreditsNeededinteger

Number of continuing education credits required for compliance

loaMappingobject
Show Child Parameters
niprDeletedboolean

Indicates if the license was marked deleted by NIPR

linksobject
Show Child Parameters
 
application/hal+json

Producer Other Names

Other names information for producers

Get other names for subscribed NPNs

Returns all other names records for NPNs you are currently subscribed to.

get
https://api.sandbox.agentsync.io/v2/otherNames

Query Parameters

npnsarray[string]

comma separated list of National Producer Numbers (NPNs)

Example:123456789, 987654321

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json